Subject: Re: REGRESSION: panic on e1000 driver

From: "Kok, Auke" <[email-masked]>
Date: Thu, 31 May 2007 15:11:12 -0700

Herbert Xu wrote:
> On Thu, May 31, 2007 at 07:54:31AM -0700, Kok, Auke wrote:
>> so how about calling netif_poll_disable() before we register the net_device?
> 
> Yes that should work.  Let's move the other two netif_ calls while we're
> at it.
>  
>> well no, if we make the watchdog (this is something I've already 
>> implemented locally and -mm has it for instance) run as delayed work we can 
>> just schedule a watchdog run instead of firing an interrupt.
> 
> OK.  The only thing I'm worried about is if we're uncovering some
> underlying problem with the platform with respect to memory barriers
> then we should get to the bottom of it first before making this problem
> disappear.

agreed. I will try to send a patch to do this later today.

Auke